protolabs42

Emit a signal

Send a signal into the protocol. The signal is validated, persisted, and routed based on its targeting fields (to_role, to_identity, to_ring).

POST
/emit

Send a signal into the protocol. The signal is validated, persisted, and routed based on its targeting fields (to_role, to_identity, to_ring).

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/emit" \  -H "Content-Type: application/json" \  -d '{    "signal_type": "pulse",    "content": "string",    "from_role": "string"  }'
{
  "data": {
    "id": "string",
    "signal_type": "string",
    "base_type": "string",
    "content": "string",
    "urgency": 0.5,
    "from_role": "string",
    "from_identity": "string",
    "to_role": "string",
    "to_identity": "string",
    "to_ring": "string",
    "parent_id": "string",
    "sequence": 0,
    "tags": [],
    "target_capabilities": [],
    "routing_policy": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "payload": {
      "property1": null,
      "property2": null
    },
    "task_status": "open",
    "claimed_by": "string",
    "claimed_at": "string",
    "claim_expires_at": "string",
    "protocol_version": "chorus/1.0",
    "delivery_state": "pending",
    "delivery_count": 0,
    "created_at": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}